curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/products/{productId} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"handle": "<string>",
"price": 123,
"compareAtPrice": 123,
"images": [
"<string>"
],
"inStock": true,
"currency": "<string>",
"productType": "SUBSCRIPTION",
"message": "<string>",
"fulfillmentMode": "MANAGED_LICENSE",
"pricingModel": "STANDARD",
"status": "DRAFT",
"minimumPrice": 123,
"maxPerCustomer": 123,
"availableFrom": "2023-11-07T05:31:56Z",
"availableUntil": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"redirectUrl": "<string>",
"keyFormat": "ALPHANUMERIC",
"customPrefix": "<string>",
"maxActivations": 123,
"licenseDuration": "THIRTY_DAYS",
"revokeOnRefund": true,
"lowStockThreshold": 123,
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"billingInterval": "WEEKLY",
"billingAnchor": "IMMEDIATELY",
"trialDays": 123,
"options": [
{
"id": "<string>",
"name": "<string>",
"values": [
"<string>"
],
"position": 123
}
],
"variants": [
{
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"sku": "<string>",
"options": "<unknown>",
"price": 123,
"compareAtPrice": 123,
"images": [
"<string>"
],
"inStock": true,
"quantity": 123,
"trackStock": true,
"position": 123
}
],
"categories": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"availableLicenses": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/products/{productId} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"handle": "<string>",
"price": 123,
"compareAtPrice": 123,
"images": [
"<string>"
],
"inStock": true,
"currency": "<string>",
"productType": "SUBSCRIPTION",
"message": "<string>",
"fulfillmentMode": "MANAGED_LICENSE",
"pricingModel": "STANDARD",
"status": "DRAFT",
"minimumPrice": 123,
"maxPerCustomer": 123,
"availableFrom": "2023-11-07T05:31:56Z",
"availableUntil": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"redirectUrl": "<string>",
"keyFormat": "ALPHANUMERIC",
"customPrefix": "<string>",
"maxActivations": 123,
"licenseDuration": "THIRTY_DAYS",
"revokeOnRefund": true,
"lowStockThreshold": 123,
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"billingInterval": "WEEKLY",
"billingAnchor": "IMMEDIATELY",
"trialDays": 123,
"options": [
{
"id": "<string>",
"name": "<string>",
"values": [
"<string>"
],
"position": 123
}
],
"variants": [
{
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"sku": "<string>",
"options": "<unknown>",
"price": 123,
"compareAtPrice": 123,
"images": [
"<string>"
],
"inStock": true,
"quantity": 123,
"trackStock": true,
"position": 123
}
],
"categories": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"availableLicenses": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48Product ID (prd_ prefix)
12 - 48